summaryrefslogtreecommitdiff
path: root/dev-python/ipywidgets
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/ipywidgets
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/ipywidgets')
-rw-r--r--dev-python/ipywidgets/Manifest3
-rw-r--r--dev-python/ipywidgets/ipywidgets-7.0.0.ebuild36
-rw-r--r--dev-python/ipywidgets/ipywidgets-7.4.2-r1.ebuild35
-rw-r--r--dev-python/ipywidgets/ipywidgets-7.5.1.ebuild26
-rw-r--r--dev-python/ipywidgets/metadata.xml18
5 files changed, 118 insertions, 0 deletions
diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
new file mode 100644
index 000000000000..91ee2f70cd66
--- /dev/null
+++ b/dev-python/ipywidgets/Manifest
@@ -0,0 +1,3 @@
+DIST ipywidgets-7.0.0.tar.gz 1006851 BLAKE2B 2ee86d0459b6c88b351994dcb4385d31378235a0be157387d90a476e49958bde25df941aa92068266df377c75dac13925d15ba2f8da0987d70adca3e726fa1a7 SHA512 39219478c12f26a2bab0e975b6fb53a7f9ee92b10fa05bd885b21c7c981a4402ad65f497223a4a2c30a7d6d18bb56bec715a20659926075f2e3730e72022ade6
+DIST ipywidgets-7.4.2.tar.gz 4114472 BLAKE2B 45f946da974c1f7c5422248bd5f2eacb92a6791f089d13fb17e025b94058d97210561a6291a6c5b8c7e8e484e7128f5315db2af6cf212762f36e6d884929686f SHA512 ae5ef0615a9771cd83ca17a2a364bd5d6ee0d934d82adf2c70fde84b7c9b000d7bb32595977a607b5439423e0553c9bb8293617b43d0cf322f6bcf4b3b912eec
+DIST ipywidgets-7.5.1.tar.gz 5656334 BLAKE2B 8bd98f523b619bea02e01ae5faffb08040dc5011905dd69510728b02736e66444b3c3cdf1e7272884c1df97f610aff790063f783e1d0939786669ef39cd1fc94 SHA512 856b3e4dad331766eff6e5f1fd31984a4b6ede5c678ffd51a4896f6448dac53ba181ccec2821f10e07e0f1095318427affe19f1420d0337bc3d37ef1e0a9ea0d
diff --git a/dev-python/ipywidgets/ipywidgets-7.0.0.ebuild b/dev-python/ipywidgets/ipywidgets-7.0.0.ebuild
new file mode 100644
index 000000000000..25bf0838eb43
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-7.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="https://ipywidgets.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-coverage --cover-package=ipywidgets ipywidgets || die
+}
diff --git a/dev-python/ipywidgets/ipywidgets-7.4.2-r1.ebuild b/dev-python/ipywidgets/ipywidgets-7.4.2-r1.ebuild
new file mode 100644
index 000000000000..273266670df8
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-7.4.2-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="https://ipywidgets.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-3.4.2[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests ipywidgets || die
+}
diff --git a/dev-python/ipywidgets/ipywidgets-7.5.1.ebuild b/dev-python/ipywidgets/ipywidgets-7.5.1.ebuild
new file mode 100644
index 000000000000..392387529694
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-7.5.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="https://ipywidgets.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-3.5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ipywidgets/metadata.xml b/dev-python/ipywidgets/metadata.xml
new file mode 100644
index 000000000000..cf14d15b5f99
--- /dev/null
+++ b/dev-python/ipywidgets/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">ipywidgets</remote-id>
+ <remote-id type="github">jupyter-widgets/ipywidgets</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>